import {
  select,
  csv,
  scaleLinear,
  max,
  scaleTime,
  axisLeft,
  axisBottom,
  format
} from 'd3';


const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const margin = { top: 20, right: 20, bottom: 20, left: 20 };
const innerWidth = width - margin.left - margin.right;
const innerHeight = height - margin.top - margin.bottom;
  
const render=(data)=>{

const xAxis= scaleTime()
.domain([])
.range([0,width])

const yAxis=scaleLinear()
.domain([])
.range([height,0])

}



csv('https://vizhub.com/curran/datasets/temperature-in-san-francisco.csv')
.then((data)=>{
data.forEach(function(d){
d.temperature=+d.temperature
d.timestamp= new Date(d.timestamp)
})  
console.log(data)
})